using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using ClassLibrary_CountingSale;

namespace UnitTestBooks
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMethod1()
        {
            Assert.AreEqual(SaleCount.saleCount(1, 2), 0);
        }
        [TestMethod]
        public void TestMethod2()
        {
            Assert.AreEqual(SaleCount.saleCount(3, 200), 5);
        }
        [TestMethod]
        public void TestMethod3()
        {
            Assert.AreEqual(SaleCount.saleCount(3, 500), 6);
        }
        [TestMethod]
        public void TestMethod4()
        {
            Assert.AreEqual(SaleCount.saleCount(1, 500), 1);
        }
        [TestMethod]
        public void TestMethod5()
        {
            Assert.AreEqual(SaleCount.saleCount(1, 1000), 2);
        }
        [TestMethod]
        public void TestMethod6()
        {
            Assert.AreEqual(SaleCount.saleCount(4, 1000), 7);
        }
        [TestMethod]
        public void TestMethod7()
        {
            Assert.AreEqual(SaleCount.saleCount(9, 0), 5);

        }
        [TestMethod]
        public void TestMethod8()
        {
            Assert.AreEqual(SaleCount.saleCount(1100, 1000), 7);
        }
        [TestMethod]
        public void TestMethod9()
        {
            Assert.AreEqual(SaleCount.saleCount(0, 0), 0);
        }
        [TestMethod]
        public void TestMethod10()
        {
            Assert.AreEqual(SaleCount.saleCount(0, 2000), 4);
        }

    }
}
